> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Leaderboard

> Get a workspace's leaderboard



## OpenAPI

````yaml get /activity/{workspaceId}/leaderboard
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /activity/{workspaceId}/leaderboard:
    get:
      tags:
        - Activity
      description: Get a workspace's leaderboard
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: header
          name: X-Socket-ID
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  playtime:
                    type: object
                    properties:
                      top_three:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            position:
                              type: number
                            total:
                              type: number
                            in_game:
                              type: boolean
                          required:
                            - _id
                            - position
                            - total
                            - in_game
                      you:
                        type: object
                        properties:
                          _id:
                            type: string
                          position:
                            type: number
                          total:
                            type: number
                          in_game:
                            type: boolean
                        required:
                          - _id
                          - position
                          - total
                          - in_game
                    required:
                      - top_three
                      - you
                  sessions:
                    type: object
                    properties:
                      top_three:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            position:
                              type: number
                            total:
                              type: number
                          required:
                            - _id
                            - position
                            - total
                      you:
                        type: object
                        properties:
                          _id:
                            type: string
                          position:
                            type: number
                          total:
                            type: number
                        required:
                          - _id
                          - position
                          - total
                    required:
                      - top_three
                      - you
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````